from django.urls import re_path

from gestion.inscriptions import views

urlpatterns = [
    re_path(r"^$", views.liste, name="liste"),
    re_path(r"^details$", views.details, name="details"),
    re_path(r"^nettoyage", views.nettoyage, name="nettoyage"),
    re_path(r"^details\.csv$", views.details_csv, name="details_csv"),
    re_path(r"^nouvelle$", views.edition, name="edition"),
    re_path(r"^editer/(?P<id>\d+)$", views.edition, name="edition"),
    re_path(r"^supprimer/(?P<id>\d+)$", views.suppression, name="suppression"),
    re_path(r"^fiche/(?P<id>\d+)$", views.fiche, name="fiche"),
    re_path(r"^champs/$", views.liste_champs, name="liste_champs"),
    re_path(r"^champs/nouveau$", views.nouv_champ, name="nouv_champ"),
    re_path(
        r"^champs/editer/(?P<type>[a-z_]+)_(?P<id>\d+)$",
        views.nouv_champ_type,
        name="nouv_champ_type",
    ),
    re_path(
        r"^champs/nouveau/(?P<type>[a-z_]+)$",
        views.nouv_champ_type,
        name="nouv_champ_type",
    ),
    re_path(
        r"^champs/supprimer/(?P<type>[a-z_]+)_(?P<id>\d+)$",
        views.suppression_champ,
        name="suppression_champ",
    ),
    re_path(r"^photo_src/(?P<nom>.+)$", views.photo_src, name="photo_src"),
    re_path(r"^photo_dst/(?P<id>\d+)$", views.photo_dst, name="photo_dst"),
    re_path(r"^preparation$", views.preparation, name="preparation"),
    re_path(r"^ajouter_effect$", views.ajouter_effect, name="ajouter_effect"),
    re_path(r"^effectuer$", views.effectuer, name="effectuer"),
    re_path(r"^recherche$", views.recherche_ldap_cri, name="recherche_ldap_cri"),
]
